petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawLine

PetscDraws a line onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLine(PetscDraw draw,PetscReal xl,PetscReal yl,PetscReal xr,PetscReal yr,int cl)

Not collective

### Input Parameters

| draw | - the drawing context
| xl,yl,xr,yr | - the coordinates of the line endpoints
| cl | - the colors of the endpoints

### See Also

PetscDrawArrow(), PetscDrawLineSetWidth(), PetscDrawLineGetWidth(), PetscDrawRectangle(), PetscDrawTriangle(), PetscDrawEllipse(),
PetscDrawMarker(), PetscDrawPoint()

### Level

beginner

### Location

src/sys/classes/draw/interface/dline.c

### Implementations

PetscDrawLine_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawLine_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawLine_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
PetscDrawLine_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawLine_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages